Subject: Re: [bug#41011] [PATCH] gnu: grub: Support for network boot via tftp/nfs.

From: Danny Milosavljevic <[email-masked]>
Date: Sat, 6 Jun 2020 19:37:21 +0200

Hi Stefan,

thanks for the patch!

Could you create a new record type (something like <nfs-mount>)
and use that instead of magical ":/" where possible (i.e. everywhere except
gnu/build/linux-boot.scm)?

See also ./gnu/system/file-systems.scm file-system-label for how that is done
(just copy the record and the serializer for the initrd parameter and adapt it).

I know that previously we did magical string parsing, but I'd like not to add
to it.

Also, is the eye-candy change necessary?  I'm not opposed to it, but it
would be nicer in an extra patch (separation of concerns), if necessary in
this patch series.